{-------------------------------------------------------------------------------
The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is: Main.pas, released 11 Mar 2001.

The Initial Developer of the Original Code is: Jrgen Gntherodt
(jguentherodt@users.sourceforge.net).

Portions created by Jrgen Gntherodt are Copyright (C) 2001 Jrgen Gntherodt.
All Rights Reserved.

Alternatively, the contents of this file may be used under the terms of the
GNU General Public License Version 2 or later (the "GPL"), in which case
the provisions of the GPL are applicable instead of those above.
If you wish to allow use of your version of this file only under the terms
of the GPL and not to allow others to use your version of this file
under the MPL, indicate your decision by deleting the provisions above and
replace them with the notice and other provisions required by the GPL.
If you do not delete the provisions above, a recipient may use your version
of this file under either the MPL or the GPL.

$Id: PerlIDE.dpr,v 1.2 2001/03/17 04:34:59 jguentherodt Exp $

You may retrieve the latest version of this file at the Open Perl IDE
home page, located at http://www.lost-sunglasses.de
-------------------------------------------------------------------------------}
program PerlIDE;

uses
  Forms,
  Main in 'MAIN.PAS' {MainForm},
  Childwin in 'CHILDWIN.PAS' {MDIChild},
  f_Variables in 'f_Variables.pas' {frmVariables},
  f_ConsoleAndCommunication in 'f_ConsoleAndCommunication.pas' {frmConsoleAndCommunication},
  f_Modules in 'f_Modules.pas' {frmModules},
  f_Breakpoints in 'f_Breakpoints.pas' {frmBreakpoints},
  f_CallStack in 'f_CallStack.pas' {frmCallStack},
  f_ErrorOutput in 'f_ErrorOutput.pas' {frmError},
  f_Preferences in 'f_Preferences.pas' {frmPreferences},
  breakpoints in 'breakpoints.pas',
  f_GoTo in 'f_GoTo.pas' {frmGoTo},
  f_About in 'f_About.pas' {frmAbout};

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TfrmVariables, frmVariables);
  Application.CreateForm(TfrmConsoleAndCommunication, frmConsoleAndCommunication);
  Application.CreateForm(TfrmModules, frmModules);
  Application.CreateForm(TfrmBreakpoints, frmBreakpoints);
  Application.CreateForm(TfrmCallStack, frmCallStack);
  Application.CreateForm(TfrmError, frmError);
  Application.CreateForm(TfrmPreferences, frmPreferences);
  Application.CreateForm(TfrmGoTo, frmGoTo);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.Run;
end.
